

/*Compass body*/
.compass {
    position: relative;
    width: 210px;
    height: 210px;
    border-radius: 50%;
    background: var(--background-light);
    border: 25px solid var(--background-extra-dark);
    box-shadow: 0 4px 100px var(--background-extra-dark);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    transition: transform 0.5s ease-in-out; /* Zachte overgang voor de rotatie */
}


.compass .dial {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 2px solid #444;
}

.compass .north,
.compass .east,
.compass .south,
.compass .west {
    position: absolute;
    color: var(--White);
    font-size: 18px;
    font-weight: bold;
    height: 20px;
    width: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-origin: center center; 
    transition: transform 0.5s ease-in-out;
}

.compass .north {
    top: -25px;
    left: 45%;
}

.compass .east {
    top: 45%;
    right: -25px;
}

.compass .south {
    bottom: -25px;
    left: 45%;
}

.compass .west {
    top: 45%;
    left: -25px;
}

.compass .degree {
    height: 50px;
    width: 50px;
    color: var(--Black);
    font-size: 30px;
    font-weight: bold;
    transform-origin: center center; 
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.compass .degree #heading-number {
    display: inline-block;
    font-size: 30px;
}

.compass .degree #heading-symbol {
    position: absolute;
    font-size: 20px;
    top: 30%;
    left: 80%;
    margin-left: 5px;  /* Je kunt deze waarde aanpassen om de ruimte tussen getal en graden teken aan te passen */
    line-height: 0;
    font-size: 30px;
    font-weight: bold;
}


.compass .scale {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border-radius: 50%;

}

.compass .scale .mark {
    position: absolute;
    width: 2px;
    height: 10px;
    background: #666;
    top: 0;
    left: 50%;
    transform-origin: center 140px;
}

.compass .scale .mark.large {
    height: 15px;
    background: var(--White);
}

.compass .scale .label {
    position: absolute;
    top: 0;
    left: 50%;
    transform-origin: center 120px;
    transform: translateX(-50%);
    font-size: 12px;
    color: var(--White);
    text-align: center;
}

.compass .scale .mark {
    position: absolute;
    top: 0;
    left: 50%;
    width: 2px;
    height: 5px;
    background: #666;
    transform-origin: center 80px;
}

.compass .scale .mark.large {
    height: 10px;
    background: rgb(255, 255, 255);
}
.compass .scale .mark.extra.large {
    height: 12px;
    width: 3px;
    background: rgb(255, 0, 0);
}

.compass .scale .mark:nth-child(1) {transform: rotate(0deg);}
.compass .scale .mark:nth-child(2) { transform: rotate(10deg); }
.compass .scale .mark:nth-child(3) { transform: rotate(20deg); }
.compass .scale .mark:nth-child(4) { transform: rotate(30deg); }
.compass .scale .mark:nth-child(5) { transform: rotate(40deg); }
.compass .scale .mark:nth-child(6) { transform: rotate(50deg); }
.compass .scale .mark:nth-child(7) { transform: rotate(60deg); }
.compass .scale .mark:nth-child(8) { transform: rotate(70deg); }
.compass .scale .mark:nth-child(9) { transform: rotate(80deg); }
.compass .scale .mark:nth-child(10) { transform: rotate(90deg); }
.compass .scale .mark:nth-child(11) { transform: rotate(100deg); }
.compass .scale .mark:nth-child(12) { transform: rotate(110deg); }
.compass .scale .mark:nth-child(13) { transform: rotate(120deg); }
.compass .scale .mark:nth-child(14) { transform: rotate(130deg); }
.compass .scale .mark:nth-child(15) { transform: rotate(140deg); }
.compass .scale .mark:nth-child(16) { transform: rotate(150deg); }
.compass .scale .mark:nth-child(17) { transform: rotate(160deg); }
.compass .scale .mark:nth-child(18) { transform: rotate(170deg); }
.compass .scale .mark:nth-child(19) { transform: rotate(180deg); }
.compass .scale .mark:nth-child(20) { transform: rotate(190deg); }
.compass .scale .mark:nth-child(21) { transform: rotate(200deg); }
.compass .scale .mark:nth-child(22) { transform: rotate(210deg); }
.compass .scale .mark:nth-child(23) { transform: rotate(220deg); }
.compass .scale .mark:nth-child(24) { transform: rotate(230deg); }
.compass .scale .mark:nth-child(25) { transform: rotate(240deg); }
.compass .scale .mark:nth-child(26) { transform: rotate(250deg); }
.compass .scale .mark:nth-child(27) { transform: rotate(260deg); }
.compass .scale .mark:nth-child(28) { transform: rotate(270deg); }
.compass .scale .mark:nth-child(29) { transform: rotate(280deg); }
.compass .scale .mark:nth-child(30) { transform: rotate(290deg); }
.compass .scale .mark:nth-child(31) { transform: rotate(300deg); }
.compass .scale .mark:nth-child(32) { transform: rotate(310deg); }
.compass .scale .mark:nth-child(33) { transform: rotate(320deg); }
.compass .scale .mark:nth-child(34) { transform: rotate(330deg); }
.compass .scale .mark:nth-child(35) { transform: rotate(340deg); }
.compass .scale .mark:nth-child(36) { transform: rotate(350deg); }

.north-marker {
    position: absolute;
    bottom: 50%;
    left: 48.5%;
    transform-origin: 50% 100%;
    transition-timing-function: steps(1);
    width: 6px;
    height: 55px;
    background-color: transparent;
    border-radius: 6px;
    transform: rotate(90deg);
}
.north-marker::after {
    content: '';
    position: absolute;
    top: -10px;
    left: 50%;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 15px solid var(--Red);
    transform: translateX(-50%);
} 
